from math import *

m = 816731
n = 52314151

k = 0
t = 1
l = 1

c = m*n
N = int(sqrt(c))
M = N

p1 = sqrt(c)
p2 = sqrt(c)

mean = int(sqrt(c))
divisors = [ 0.0 ] * M

while l <= mean and k == 0:
	mean -= 1
	divisor = mean/l
	
	if divisor-int(divisor) == 0.0:
		if divisors[l] == l:
			pass
		else:
			divisors[l] = l
		if divisor == 0.0:
			k = 1
	l = l + 1

print divisors
while t <= int(sqrt(c)) and abs(p2) >= m:
    r = int(sqrt(abs(p1*p2)))

    p1 = r+divisors[t+1]
    p2 = r-divisors[t-1]

    print(p1,p2)
		
    t += 1
